.trust {
    overflow: hidden;
    position: relative;

    &--margin {
        margin-bottom: rem(40);
    }

    &--two {
        color: $white;
    }

    &__main {
        z-index: 20;
        position: relative;
        padding-top: rem(41);
        padding-bottom: rem(240);
    }

    &__heading {

    }

    &__text {
        font-size: rem(12);
        line-height: rem(16);
        padding-bottom: rem(5);

        p {
            margin-bottom: rem(20);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__pattern {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 10;
        position: absolute;

        &--one {
            background: url("../img/trust__bg_01_sm.webp") 50% 0 no-repeat;
            background-size: cover;
        }

        &--two {
            background: url("../img/trust__bg_02_sm.webp") 50% 0 no-repeat;
            background-size: cover;
        }
    }

    &__image {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        height: rem(231);
        position: absolute;
        background: url("../img/trust__image.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    @include media-breakpoint-up(sm) {

        &__main {
            padding-bottom: rem(400);
        }

        &__pattern {

            &--one {
                background-size: 100% 380px;
            }

            &--two {
                background-size: 100% 380px;
            }
        }

        &__image {
            height: rem(400);
        }
    }

    @include media-breakpoint-up(md) {

        &--margin {
            margin-bottom: rem(80);
        }

        &__main {
            padding: rem(60) 0;
            height: rem(500);
            display: flex;
            flex-direction: column;
        }

        &__content {
            width: rem(340);
        }

        &__heading {
            text-align: left;
        }

        &__text {
            font-size: rem(16);
            line-height: rem(24);

            p {
                margin-bottom: rem(24);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        &__wrap {
            margin: auto 0;
        }

        &__image {
            top: -20px;
            bottom: auto;
            left: 300px;
            right: auto;
            height: 680px;
            width: rem(1105);
        }

        &__pattern {
            left: calc(50% - 900px);
            width: 1920px;

            &--one {
                background: url("../img/trust__bg_01.webp") 50% 0 no-repeat;
                background-size: auto auto;
            }

            &--two {
                background: url("../img/trust__bg_02.webp") 50% 0 no-repeat;
                background-size: auto auto;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__heading {
            margin-bottom: rem(30);
        }

        &__content {
            width: rem(490);
        }

        &__pattern {
            left: calc(50% - 870px);
        }

        &__image {
            left: calc(50% - 90px);
        }
    }

    @include media-breakpoint-up(xl) {

        &--margin {
            margin-bottom: rem(100);
        }

        &__pattern {
            left: calc(50% - 960px);
        }

        &__image {
            left: calc(50% - 154px);
        }
    }

    @media (min-width: 1920px) {

        &__pattern {

            &:before {
                top: 0;
                bottom: 0;
                right: 100%;
                z-index: 10;
                content: '';
                width: 1000px;
                position: absolute;
            }

            &--one {

                &:before {
                    background: #E3F3EA;
                }
            }

            &--two {

                &:before {
                    background: #22A19A;
                }
            }
        }

        &__image {
            right: 0;
            width: auto;
            background-size: cover;
        }
    }
}
